<?xml version="1.0" encoding="utf-8"?>
<linkbase xmlns="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <!-- INTEGIX by Ez-XBRL -->
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" roleURI="http://www.xbrl.org/2009/role/negatedLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel" roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel" roleURI="http://www.xbrl.org/2009/role/negatedNetLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel" roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel" roleURI="http://www.xbrl.org/2009/role/netLabel"/>
  <labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <loc xlink:type="locator" xlink:href="21380078FJXYHFE8KP46-2022-12-31.xsd#sarantissa_AdjustmentsForInvestmentIncome" xlink:label="loc_sarantissa_AdjustmentsForInvestmentIncome_1"/>
    <loc xlink:type="locator" xlink:href="21380078FJXYHFE8KP46-2022-12-31.xsd#sarantissa_DeferredTaxFromRevaluationOfFixedAssets" xlink:label="loc_sarantissa_DeferredTaxFromRevaluationOfFixedAssets_2"/>
    <loc xlink:type="locator" xlink:href="21380078FJXYHFE8KP46-2022-12-31.xsd#sarantissa_DisclosureOfDistributionCosts" xlink:label="loc_sarantissa_DisclosureOfDistributionCosts_3"/>
    <loc xlink:type="locator" xlink:href="21380078FJXYHFE8KP46-2022-12-31.xsd#sarantissa_DisclosureOfDistributionCosts" xlink:label="loc_sarantissa_DisclosureOfDistributionCosts_4"/>
    <loc xlink:type="locator" xlink:href="21380078FJXYHFE8KP46-2022-12-31.xsd#sarantissa_GainsLossesFromRevaluationOrDisposalOfAssets" xlink:label="loc_sarantissa_GainsLossesFromRevaluationOrDisposalOfAssets_5"/>
    <loc xlink:type="locator" xlink:href="21380078FJXYHFE8KP46-2022-12-31.xsd#sarantissa_ProfitLossBeforeTaxFromContinuingOperations" xlink:label="loc_sarantissa_ProfitLossBeforeTaxFromContinuingOperations_6"/>
    <loc xlink:type="locator" xlink:href="21380078FJXYHFE8KP46-2022-12-31.xsd#sarantissa_ProfitLossBeforeTaxFromContinuingOperations" xlink:label="loc_sarantissa_ProfitLossBeforeTaxFromContinuingOperations_7"/>
    <loc xlink:type="locator" xlink:href="21380078FJXYHFE8KP46-2022-12-31.xsd#sarantissa_ProfitLossBeforeTaxFromDiscontinuedOperations" xlink:label="loc_sarantissa_ProfitLossBeforeTaxFromDiscontinuedOperations_8"/>
    <loc xlink:type="locator" xlink:href="21380078FJXYHFE8KP46-2022-12-31.xsd#sarantissa_ProfitLossBeforeTaxFromDiscontinuedOperations" xlink:label="loc_sarantissa_ProfitLossBeforeTaxFromDiscontinuedOperations_9"/>
    <loc xlink:type="locator" xlink:href="21380078FJXYHFE8KP46-2022-12-31.xsd#sarantissa_TotalOtherTransactionsBetweenEquity" xlink:label="loc_sarantissa_TotalOtherTransactionsBetweenEquity_10"/>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_sarantissa_AdjustmentsForInvestmentIncome_2" xml:lang="en">Adjustments For Investment Income</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_sarantissa_DeferredTaxFromRevaluationOfFixedAssets_1" xml:lang="en">Deferred Tax From Revaluation Of Fixed Assets</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_sarantissa_DisclosureOfDistributionCosts_0" xml:lang="en">&#915;&#957;&#969;&#963;&#964;&#959;&#960;&#959;ί&#951;&#963;&#951; &#949;&#958;ό&#948;&#969;&#957; &#948;&#953;ά&#952;&#949;&#963;&#951;&#962;</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_sarantissa_DisclosureOfDistributionCosts_2" xml:lang="en">Disclosure Of Distribution Costs</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_sarantissa_GainsLossesFromRevaluationOrDisposalOfAssets_1" xml:lang="en">&#922;έ&#961;&#948;&#951; (&#950;&#951;&#956;ί&#949;&#962;) &#945;&#960;ό &#949;&#960;&#945;&#957;&#949;&#954;&#964;ί&#956;&#951;&#963;&#951;/&#960;ώ&#955;&#951;&#963;&#951;</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_sarantissa_ProfitLossBeforeTaxFromContinuingOperations_0" xml:lang="en">&#932;&#945; &#954;έ&#961;&#948;&#951; (&#950;&#951;&#956;ί&#949;&#962;) &#960;&#961;&#953;&#957; &#945;&#960;ό &#964;&#945; έ&#958;&#959;&#948;&#945; ή έ&#963;&#959;&#948;&#945; &#966;ό&#961;&#959;&#965; &#945;&#960;ό &#963;&#965;&#957;&#949;&#967;&#953;&#950;ό&#956;&#949;&#957;&#949;&#962; &#948;&#961;&#945;&#963;&#964;&#951;&#961;&#953;ό&#964;&#951;&#964;&#949;&#962;.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_sarantissa_ProfitLossBeforeTaxFromContinuingOperations_2" xml:lang="en">&#922;έ&#961;&#948;&#951;/ (&#950;&#951;&#956;ί&#949;&#962;q) &#960;&#961;&#959; &#966;ό&#961;&#969;&#957; (&#963;&#965;&#957;&#949;&#967;&#953;&#950;ό&#956;&#949;&#957;&#949;&#962; &#948;&#961;&#945;&#963;&#964;&#951;&#961;&#953;ό&#964;&#951;&#964;&#949;&#962;)</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_sarantissa_ProfitLossBeforeTaxFromDiscontinuedOperations_0" xml:lang="en">&#932;&#945; &#954;έ&#961;&#948;&#951; (&#950;&#951;&#956;ί&#949;&#962;) &#960;&#961;&#953;&#957; &#945;&#960;ό &#964;&#945; έ&#958;&#959;&#948;&#945; ή έ&#963;&#959;&#948;&#945; &#966;ό&#961;&#959;&#965; &#945;&#960;ό &#948;&#953;&#945;&#954;&#959;&#960;&#949;ί&#963;&#949;&#962; &#948;&#961;&#945;&#963;&#964;&#951;&#961;&#953;ό&#964;&#951;&#964;&#949;&#962;</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_sarantissa_ProfitLossBeforeTaxFromDiscontinuedOperations_2" xml:lang="en">Profit Loss Before Tax From Discontinued Operations</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_sarantissa_TotalOtherTransactionsBetweenEquity_1" xml:lang="en">Total Other Transactions Between Equity</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_sarantissa_AdjustmentsForInvestmentIncome_1" xlink:to="lab_sarantissa_AdjustmentsForInvestmentIncome_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_sarantissa_DeferredTaxFromRevaluationOfFixedAssets_2" xlink:to="lab_sarantissa_DeferredTaxFromRevaluationOfFixedAssets_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_sarantissa_DisclosureOfDistributionCosts_3" xlink:to="lab_sarantissa_DisclosureOfDistributionCosts_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_sarantissa_DisclosureOfDistributionCosts_4" xlink:to="lab_sarantissa_DisclosureOfDistributionCosts_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_sarantissa_GainsLossesFromRevaluationOrDisposalOfAssets_5" xlink:to="lab_sarantissa_GainsLossesFromRevaluationOrDisposalOfAssets_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_sarantissa_ProfitLossBeforeTaxFromContinuingOperations_6" xlink:to="lab_sarantissa_ProfitLossBeforeTaxFromContinuingOperations_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_sarantissa_ProfitLossBeforeTaxFromContinuingOperations_7" xlink:to="lab_sarantissa_ProfitLossBeforeTaxFromContinuingOperations_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_sarantissa_ProfitLossBeforeTaxFromDiscontinuedOperations_8" xlink:to="lab_sarantissa_ProfitLossBeforeTaxFromDiscontinuedOperations_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_sarantissa_ProfitLossBeforeTaxFromDiscontinuedOperations_9" xlink:to="lab_sarantissa_ProfitLossBeforeTaxFromDiscontinuedOperations_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_sarantissa_TotalOtherTransactionsBetweenEquity_10" xlink:to="lab_sarantissa_TotalOtherTransactionsBetweenEquity_1"/>
  </labelLink>
</linkbase>